Bug 31121 - Format date range on top of cashup summary page
Summary: Format date range on top of cashup summary page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on: 31039
Blocks: 27779
  Show dependency treegraph
 
Reported: 2022-07-08 09:49 UTC by Katrin Fischer
Modified: 2022-09-20 18:25 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This fixes the formatting of dates on the cashup summary modal (it uses the existing $datetime JS include).
Version(s) released in:
22.11.00,21.11, 22.05.05


Attachments
Bug 31121: Fix date formatting in cashup summary modal (2.68 KB, patch)
2022-07-08 14:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 31121: Fix date formatting in cashup summary modal (2.69 KB, patch)
2022-07-08 15:19 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 31121: Fix date formatting in cashup summary modal (2.74 KB, patch)
2022-07-08 16:09 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 31121: Fix date formatting in cashup summary modal (2.64 KB, patch)
2022-07-22 08:49 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2022-07-08 09:49:43 UTC
When you look at the cashup summary, the dates are formatted in database format:

Period: 2022-07-08 09:42:24 to 2022-07-08 09:44:35

These should be formatted nicely according to the DateFormat system preference.
Comment 1 Martin Renvoize 2022-07-08 14:46:35 UTC
Created attachment 137428 [details] [review]
Bug 31121: Fix date formatting in cashup summary modal
Comment 2 Katrin Fischer 2022-07-08 15:16:59 UTC
I am sorry, but the information doesn't show at all for me now :(

Period: to
Comment 3 Martin Renvoize 2022-07-08 15:19:15 UTC
Created attachment 137429 [details] [review]
Bug 31121: Fix date formatting in cashup summary modal
Comment 4 Katrin Fischer 2022-07-08 16:09:04 UTC
Created attachment 137432 [details] [review]
Bug 31121: Fix date formatting in cashup summary modal

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 5 Katrin Fischer 2022-07-22 08:47:39 UTC
Please rebase!
Comment 6 Martin Renvoize 2022-07-22 08:49:17 UTC
Created attachment 138005 [details] [review]
Bug 31121: Fix date formatting in cashup summary modal

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 7 Katrin Fischer 2022-07-22 08:55:21 UTC
I just tested this a second time because I didn't remember my sign-off. deciding to go to PQA given it's an easy patch and the number of bugs in queue.
Comment 8 Tomás Cohen Arazi 2022-07-22 17:52:33 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 9 Lucas Gass 2022-09-02 17:44:01 UTC
Backported to 22.05.x for 22.05.05
Comment 10 Arthur Suzuki 2022-09-14 12:59:08 UTC
Thanks!

Pushed to 21.11 for 21.11.12
Comment 11 Victor Grousset/tuxayo 2022-09-20 18:25:34 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.

Nothing to document it seems, marking resolved.